syms m;
m=227;
f = @(x,y,z)z-m*x.^2-y.^4;      % ʽ
[x,y,z] = meshgrid(-1:0.1:1,-1:0.1:1,-1:0.1:1);       % ͼΧ
v = f(x,y,z);
h = patch(isosurface(x,y,z,v,0));
isonormals(x,y,z,v,h)
set(h,'FaceColor','c','EdgeColor','none');
xlabel('x');ylabel('y');zlabel('z');
grid on; 
view([10,10,10]); 
axis equal; 
camlight; 
lighting gouraud;